Package net.postgis.jdbc

# Class PGgeometry

java.lang.Object
org.postgresql.util.PGobject
net.postgis.jdbc.PGgeo
net.postgis.jdbc.PGgeometry

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `PGgeometryLW`

public class PGgeometry extends PGgeo
A PostgreSQL JDBC PGobject extension data type modeling the geometry type.

Author:
  Phillip Ross
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

## Constructor Summary

Constructors
Constructor
Description
`PGgeometry()`
Instantiate with default state.
`PGgeometry(String value)`
Instantiate with the specified state.
`PGgeometry(Geometry geometry)`
Instantiate with the specified state.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`

### Methods inherited from class net.postgis.jdbc.PGgeo

`getGeometry, getGeoType, getValue, setGeometry, setValue, toString`

### Methods inherited from class org.postgresql.util.PGobject

`equals, equals, getType, hashCode, isNull, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PGgeometry

public PGgeometry()
Instantiate with default state.

### PGgeometry

public PGgeometry(Geometry geometry)
Instantiate with the specified state.

Parameters:
  `geometry` - the geometry to instantiate with

### PGgeometry

public PGgeometry(String value) throws SQLException
Instantiate with the specified state.

Parameters:
  `value` - the value to instantiate with
Throws:
  `SQLException`

## Method Details

### clone

public Object clone()

Overrides:
  `clone` in class `PGgeo`